Name:          dynalink
Version:       0.7
Release:       7%{?dist}
Summary:       Dynamic Linker Framework for Languages on the JVM
License:       ASL 2.0 or BSD
URL:           http://szegedi.github.com/dynalink/
Source0:       https://github.com/szegedi/%{name}/archive/%{version}.tar.gz

BuildRequires: mvn(org.ow2.asm:asm)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
# test deps
BuildRequires: mvn(junit:junit)
BuildRequires: maven-local

BuildArch:     noarch

%description
Dynalink is an invoke-dynamic-based high-level linking and
meta-object protocol library. It enables creation of
languages on the JVM that can easily inter-operate with
plain Java objects and each other.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

%pom_remove_plugin com.github.koraktor:mavanagaiata

sed -i 's/\r//' LIMITATIONS README.markdown

%mvn_file : %{name}

%build

# Disable test suite, build problems on arm builder
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LIMITATIONS README.markdown
%license LICENSE-Apache-2.0.txt LICENSE-BSD.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-Apache-2.0.txt LICENSE-BSD.txt

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Feb 01 2015 gil cattaneo <puntogil@libero.it> 0.7-6
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 0.7-4
- Use Requires: java-headless rebuild (#1067528)

* Tue Nov 12 2013 gil cattaneo <puntogil@libero.it> 0.7-3
- disable test suite (problems on arm builder)

* Mon Nov 11 2013 gil cattaneo <puntogil@libero.it> 0.7-2
- fix license field
- remove unnecessary BR java-devel

* Sun Sep 08 2013 gil cattaneo <puntogil@libero.it> 0.7-1
- initial rpm
